Bug 248760 - r8169 driver does not pick up IP if cable removed and reattached
Summary: r8169 driver does not pick up IP if cable removed and reattached
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 16:15 UTC by Jason Quartarone
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.6.22.9-91.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 15:27:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Quartarone 2007-07-18 16:15:28 UTC
Description of problem:
The r8169 driver does not pick up IP if cable removed and reattached on laptop.

Version-Release number of selected component (if applicable):
kernel-2.6.22.1-27.fc7

How reproducible:
Always

Steps to Reproduce:
1.  Boot up with ethernet cable plugged in.
2.  Pull cable.
3.  Plug cable back in.
4.  Wait for NetworkManager to reconnect network.
  
Actual results:
Receive auto-generated IP address (169.x.y.z).

Expected results:
Receive IP from DHCP.

Additional info:
kernel-2.6.21-1.3228.fc7 and kernel-2.6.21-1.3255.fc7 correctly restore network
when switching between ethernet and wireless.

Comment 1 Jason Quartarone 2007-07-18 19:06:19 UTC
Found that bug only occurs in X.

Comment 2 Christopher Brown 2007-09-20 10:43:19 UTC
Hello Jason,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris

Comment 3 Jason Quartarone 2007-10-16 03:59:18 UTC
Fixed in 2.6.22.9-91.fc7.x86_64.



Note You need to log in before you can comment on or make changes to this bug.